Uploaded image for project: 'Keycloak'
  1. Keycloak
  2. KEYCLOAK-13313

[RH-SSO] deployment fails when using sso73-x509-postgresql-persistent on OCP4.2

    Details

      Description

      When deploying RH-SSO 7.3 with PostgreSQL by using template 'sso73-x509-postgresql-persistent' on Openshift 4.2, it fails with default POSTGRESQL_IMAGE_STREAM_TAG=9.5 because that image does not exist in OCP4.2 env like the following.

      $ oc get imagestream -n openshift | grep postgresql
      postgresql image-registry.openshift-image-registry.svc:5000/openshift/postgresql 10,9.6,latest
      $

      This template works on OCP 3.11 as PostgreSQL 9.5 image stream is available.

      To specify 9.6 as parameter POSTGRESQL_IMAGE_STREAM_TAG can help to deploy it, But RH-SSO 7.3 certified PostgreSQL version is 10.1 (not 9.x).

      https://access.redhat.com/articles/2342861#Comp_7_3

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  iankko Ján Lieskovský
                  Reporter:
                  hiroko Hiroko Miura
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: